{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 20,
   "metadata": {},
   "outputs": [],
   "source": [
    "#%load_ext autoreload\n",
    "%autoreload 2\n",
    "\n",
    "from plot_calibrate import plot_all_notes\n",
    "from plot_calibrate import plot_by_pitch\n",
    "from rms_analysis import key_info_dictionary\n",
    "\n",
    "inDir = \"/home/kevin/temp/calib0/test_1/12\"\n",
    "yamlFn = \"/home/kevin/src/picadae_ac_3/p_ac.yml\""
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 21,
   "metadata": {
    "scrolled": false
   },
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 181152 characters]\n",
      "text/plain": [
       "<Figure size 1332x2268 with 3 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    }
   ],
   "source": [
    "#plot_all_notes(inDir)\n",
    "keyInfoD = key_info_dictionary(yamlCfgFn=yamlFn)\n",
    "plot_by_pitch(inDir,keyInfoD)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
